Форум программистов, компьютерный форум CyberForum.ru

Программирование Android

Войти
Регистрация
Восстановить пароль
 
Рейтинг: Рейтинг темы: голосов - 31, средняя оценка - 4.77
Stormylks
0 / 0 / 0
Регистрация: 30.10.2014
Сообщений: 24
#1

Android-support-v7 ошибка - Программирование Android

07.11.2014, 00:30. Просмотров 4037. Ответов 11
Метки нет (Все метки)

Добрый вечер, устанавливал google maps API для проекта. и случайно видимо обновился support
вечером все работало нормально, после перезагрузки все проекты с ошибками, и новые создаются тоже с ошибками
как можно исправить это? судя по гуглу ошибка из за того что там v4 и v7 вместе, если удаляю v4 и чищу проект не помогает
Миниатюры
Android-support-v7 ошибка  
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
07.11.2014, 00:30     Android-support-v7 ошибка
Посмотрите здесь:

Android.support.v7 - Программирование Android
Народ, помогите пожалуйста. Интелиж не видит android.support.v7.app.ActionBarActivity хотя в android sdk manager support скачан, в...

Android-support-v4 и настройка Eclips - Программирование Android
Перенес проект с дом. компа на рабочий, все работало нормально до определенного момента (видимо обновилось что либо где-то). Копировал на...

Идеология com.android.support:appcompat - Программирование Android
Немного не ясно назначение данной библиотеки. Насколько я понимаю, она нужна, чтобы новые прикольные графические фичи работали на...

Для чего нужен android.support.v4 - Программирование Android
Вопрос к знатокам: почему AS по умолчанию импортирует в проект классы из библиотеки поддержки? minSdk 19 (4.4). Еще просвятите плз -...

Как в среде Eclipse подключить библиотеку android.support.v7 ? - Программирование Android
Здравствуйте! Подскажите, пожалуйста, как при программировании в среде Eclipse под андроид подключить библиотеку android.support.v7 ?

Android.support.v4.view.ViewPager одним xml+java файлом - Программирование Android
Пробую изучить примеры android.support.v4.view.ViewPager Нужно сделать (вместо длинющего активити с кучей кнопок) 3 "закладки"....

Ошибка в Preferences в Android 4.4 - Программирование Android
Здравствуйте! Не могу понять суть ошибки, на всех версиях Android 2.2+ программа выполнялась корректно, до выхода Kit kat... У меня в...

После регистрации реклама в сообщениях будет скрыта и будут доступны все возможности форума.
Stormylks
0 / 0 / 0
Регистрация: 30.10.2014
Сообщений: 24
07.11.2014, 13:09  [ТС]     Android-support-v7 ошибка #2
[2014-11-06 22:32:20 - android-support-v7-appcompat] Unable to resolve target 'android-19'
[2014-11-06 22:32:20 - P0061_Layouts] Unable to resolve target 'android-19'
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] Unable to resolve target 'android-19'
[2014-11-06 22:32:20 - P0072_layoutProp] Unable to resolve target 'android-19'
[2014-11-06 22:32:20 - P0061_Layouts] Found 2 versions of android-support-v4.jar in the dependency list,
[2014-11-06 22:32:20 - P0061_Layouts] but not all the versions are identical (check is based on SHA-1 only at this time).
[2014-11-06 22:32:20 - P0061_Layouts] All versions of the libraries must be the same at this time.
[2014-11-06 22:32:20 - P0061_Layouts] Versions found are:
[2014-11-06 22:32:20 - P0061_Layouts] Path: E:\Android\workspace\P0061_Layouts\libs\android-support-v4.jar
[2014-11-06 22:32:20 - P0061_Layouts] Length: 758727
[2014-11-06 22:32:20 - P0061_Layouts] SHA-1: efec67655f6db90757faa37201efcee2a9ec3507
[2014-11-06 22:32:20 - P0061_Layouts] Path: E:\Android\workspace\android-support-v7-appcompat\libs\android-support-v4.jar
[2014-11-06 22:32:20 - P0061_Layouts] Length: 987314
[2014-11-06 22:32:20 - P0061_Layouts] SHA-1: 9b6a9a9078af571732159b904ad423b03b7cc786
[2014-11-06 22:32:20 - P0061_Layouts] Jar mismatch! Fix your dependencies
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] Found 2 versions of android-support-v4.jar in the dependency list,
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] but not all the versions are identical (check is based on SHA-1 only at this time).
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] All versions of the libraries must be the same at this time.
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] Versions found are:
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] Path: E:\Android\workspace\P0291_SimpleActivityResult\libs\android-support-v4.jar
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] Length: 758727
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] SHA-1: efec67655f6db90757faa37201efcee2a9ec3507
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] Path: E:\Android\workspace\android-support-v7-appcompat\libs\android-support-v4.jar
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] Length: 987314
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] SHA-1: 9b6a9a9078af571732159b904ad423b03b7cc786
[2014-11-06 22:32:20 - P0291_SimpleActivityResult] Jar mismatch! Fix your dependencies
[2014-11-06 22:32:20 - P0072_layoutProp] Found 2 versions of android-support-v4.jar in the dependency list,
[2014-11-06 22:32:20 - P0072_layoutProp] but not all the versions are identical (check is based on SHA-1 only at this time).
[2014-11-06 22:32:20 - P0072_layoutProp] All versions of the libraries must be the same at this time.
[2014-11-06 22:32:20 - P0072_layoutProp] Versions found are:
[2014-11-06 22:32:20 - P0072_layoutProp] Path: E:\Android\workspace\P0072_layoutProp\libs\android-support-v4.jar
[2014-11-06 22:32:20 - P0072_layoutProp] Length: 758727
[2014-11-06 22:32:20 - P0072_layoutProp] SHA-1: efec67655f6db90757faa37201efcee2a9ec3507
[2014-11-06 22:32:20 - P0072_layoutProp] Path: E:\Android\workspace\android-support-v7-appcompat\libs\android-support-v4.jar
[2014-11-06 22:32:20 - P0072_layoutProp] Length: 987314
[2014-11-06 22:32:20 - P0072_layoutProp] SHA-1: 9b6a9a9078af571732159b904ad423b03b7cc786
[2014-11-06 22:32:20 - P0072_layoutProp] Jar mismatch! Fix your dependencies


Добавлено через 12 часов 36 минут
Погуглив еще я понял, что нужно добавить appcompat-v7 добавил, в билде отметил, почистил.
при создании нового проекта было 3 ошибки
[2014-11-07 11:02:48 - wf34] E:\Android\workspace1\appcompat_v7\res\values-v21\themes_base.xml:193: error: Error: No resource found that matches the given name: attr 'android:colorControlNormal'.
[2014-11-07 11:02:48 - wf34] E:\Android\workspace1\appcompat_v7\res\values-v21\themes_base.xml:190: error: Error: No resource found that matches the given name: attr 'android:colorPrimary'.
[2014-11-07 11:02:48 - wf34] E:\Android\workspace1\appcompat_v7\res\values-v21\themes_base.xml:191: error: Error: No resource found that matches the given name: attr 'android:colorPrimaryDark'.
Однако создав проект с API 15, ошибки исчезали, в чем причина?
Spelcrawler
525 / 495 / 111
Регистрация: 12.03.2014
Сообщений: 1,647
Завершенные тесты: 1
07.11.2014, 15:27     Android-support-v7 ошибка #3
Цитата Сообщение от Stormylks Посмотреть сообщение
Error: No resource found that matches the given name: attr 'android:colorPrimaryDark'.
Ну написано же красным по белому: не может найти ресурсы. Нужно использовать api 21, для этой библиотеки.
Stormylks
0 / 0 / 0
Регистрация: 30.10.2014
Сообщений: 24
07.11.2014, 15:36  [ТС]     Android-support-v7 ошибка #4
Цитата Сообщение от Spelcrawler Посмотреть сообщение
Ну написано же красным по белому: не может найти ресурсы. Нужно использовать api 21, для этой библиотеки.
Не особо то и помогло, создал новый проект с API 21, то же самое (если начальный API 8)
Но если отмечать начало от API 15 (Icecream sandwitch) ошибки нет
Spelcrawler
525 / 495 / 111
Регистрация: 12.03.2014
Сообщений: 1,647
Завершенные тесты: 1
07.11.2014, 15:38     Android-support-v7 ошибка #5
Ну не знаю тогда чего эклипс от вас хочет) Переходите на AndroidStudio очень много проблем которые были в эклипсе там отсутствуют. Функционал тот же самый, только удобнее.
G_O_R
0 / 0 / 0
Регистрация: 02.02.2013
Сообщений: 22
08.11.2014, 18:46     Android-support-v7 ошибка #6
у меня тоже возникла та же ошибка после выхода апи21. создай новый проект андроид, там в либ эклипс ставит каждый раз библиотеку, вот оттуда бери (видели его и жми контрол+с) новую библиотеку android-support-v4.jar и ставь(выбери папку и жми контрол+v) его у себя и еще ставь на верху appcompat\libs\android-support-v4.jar тут тоже замени. воот

Добавлено через 6 минут
Может кто поможет мне, после выхода у меня в программе самом нет ошибок, но при запуске вылетает

Android-support-v7 ошибка

проблема видимо с сервисов, которая запускается скрытно, или с ресивором, раньше не было проблем. Может что то надо поменять для новой версии? подскажите пожалуйста.
G_O_R
0 / 0 / 0
Регистрация: 02.02.2013
Сообщений: 22
12.11.2014, 17:34     Android-support-v7 ошибка #7
Помогите пожалуйста, с sdk 20 работала норм, сейчас ошибку выдает. Основная активити работает, в нем запускается сервис , его не видно, он запускается и вылетает, может у кто знает что надо делать, может что то поменялась в работе сервиса или в манифесте что то добавить или второй манифест ... не знаю что делать
[syntax=xml]11-12 09:27:35.241: D/myLogs(1226): SafetyService onStartCommand, name = null
11-12 09:27:35.341: D/myLogs(1226): set connect
11-12 09:27:35.341: D/myLogs(1226): Time 300 Dist 50
11-12 09:27:35.431: D/AndroidRuntime(1226): Shutting down VM
11-12 09:27:35.431: W/dalvikvm(1226): threadid=1: thread exiting with uncaught exception (group=0xb1a1eba8)
11-12 09:27:35.531: E/AndroidRuntime(1226): FATAL EXCEPTION: main
11-12 09:27:35.531: E/AndroidRuntime(1226): Process: com.sample.familysafety.SafetyService, PID: 1226
11-12 09:27:35.531: E/AndroidRuntime(1226): java.lang.RuntimeException: Unable to start service com.sample.familysafety.SafetyService@b1d7c440 with Intent { cmp=com.sample.familysafety/.SafetyService }: java.lang.IllegalArgumentException: provider doesn't exist: network
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.app.ActivityThread.handleServiceArgs(ActivityThread.java:2719)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.app.ActivityThread.access$2100(ActivityThread.java:135)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1293)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.os.Handler.dispatchMessage(Handler.java:102)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.os.Looper.loop(Looper.java:136)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.app.ActivityThread.main(ActivityThread.java:5017)
11-12 09:27:35.531: E/AndroidRuntime(1226): at java.lang.reflect.Method.invokeNative(Native Method)
11-12 09:27:35.531: E/AndroidRuntime(1226): at java.lang.reflect.Method.invoke(Method.java:515)
11-12 09:27:35.531: E/AndroidRuntime(1226): at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:779)
11-12 09:27:35.531: E/AndroidRuntime(1226): at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:595)
11-12 09:27:35.531: E/AndroidRuntime(1226): at dalvik.system.NativeStart.main(Native Method)
11-12 09:27:35.531: E/AndroidRuntime(1226): Caused by: java.lang.IllegalArgumentException: provider doesn't exist: network
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.os.Parcel.readException(Parcel.java:1469)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.os.Parcel.readException(Parcel.java:1419)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.location.ILocationManager$Stub$Proxy.requestLocationUpdates(ILocationManager.java:540)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.location.LocationManager.requestLocationUpdates(LocationManager.java:860)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.location.LocationManager.requestLocationUpdates(LocationManager.java:454)
11-12 09:27:35.531: E/AndroidRuntime(1226): at com.sample.familysafety.SafetyService.onResume(SafetyService.java:225)
11-12 09:27:35.531: E/AndroidRuntime(1226): at com.sample.familysafety.SafetyService.set(SafetyService.java:183)
11-12 09:27:35.531: E/AndroidRuntime(1226): at com.sample.familysafety.SafetyService.onStartCommand(SafetyService.java:161)
11-12 09:27:35.531: E/AndroidRuntime(1226): at android.app.ActivityThread.handleServiceArgs(ActivityThread.java:2702)
11-12 09:27:35.531: E/AndroidRuntime(1226): ... 10 more
11-12 09:28:54.591: I/Process(1226): Sending signal. PID: 1226 SIG: 9[/syntax]
androbro
323 / 283 / 59
Регистрация: 17.10.2014
Сообщений: 835
12.11.2014, 17:39     Android-support-v7 ошибка #8
G_O_R, "Unable to start service com.sample.familysafety.SafetyService@b1d7c440 with Intent { cmp=com.sample.familysafety/.SafetyService }: java.lang.IllegalArgumentException: provider doesn't exist: network"
Копать надо в этом направлении.
G_O_R
0 / 0 / 0
Регистрация: 02.02.2013
Сообщений: 22
12.11.2014, 17:50     Android-support-v7 ошибка #9
а что именно, точнее где копать? в манифесте или в коде? искать в старте сервиса ? и что такое @b1d7c440?
у меня старт сервиса происходит сразу при запуске программы вот так:
Javascript
1
2
3
4
5
6
7
8
9
public void onStart1() {
         startService(new
         Intent("com.sample.familysafety.SafetyService").putExtra("name",
         "value"));
        startService(new Intent(this, SafetyService.class).putExtra("name",
                "value"));
        
        // startService(new Intent (this, SafetyService.class));
    }
я поменял счас поставил вот так
startService(new Intent(this, com.sample.familysafety.SafetyService.class).putExtra("name",
"value"));

В манифесте написано так :
Javascript
1
2
3
4
5
6
7
8
9
10
11
12
    <service
            android:name="com.sample.familysafety.SafetyService"
            android:enabled="true"
            android:exported="true"
            android:permission="android.permission.RECEIVE_BOOT_COMPLETED"
            android:process="com.sample.familysafety.SafetyService" >
            <intent-filter>
                <action android:name="android.intent.action.ACTION_SHUTDOWN" />
 
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>            
        </service>
G_O_R
0 / 0 / 0
Регистрация: 02.02.2013
Сообщений: 22
30.11.2014, 17:39     Android-support-v7 ошибка #10
подскажите пожалуйста. в эмуляторе ошибку выдает на это

Javascript
1
        locationManager.requestLocationUpdates(LocationManager.NETWORK_PROVIDER, 1000 * Time3, Dist3,locationListener);
может потому что через эмулятор поэтому???
Mitiya
0 / 0 / 0
Регистрация: 07.12.2014
Сообщений: 3
09.12.2014, 00:18     Android-support-v7 ошибка #11
Немного в сторону от темы. Залил проект на github, (напрямую из ecipse, tutorial вот по этой ссылке: http://ru.tmsoftstudio.com/file/page...4_ch3_git.html), так после того как залил - было все ок. перезапустил eclipse - проект не монтируется, т.к. библиотечка наша Android-support-v7 не "улетеле в облако" вместе с проектом. Ошибка: просит подключить данную библиотеку.
Подскажите пожалуйста, как?
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
09.12.2014, 16:57     Android-support-v7 ошибка
Еще ссылки по теме:

Ошибка EndofMemory в Android - Программирование Android
Иногда, при переходе на другую активность вылетает ошибка &quot;EndofMemory&quot;. Приложение закрывается и в тот же момент открывается на той же...

Ошибка android.osNetworkOnMainThreadException - Программирование Android
Есть клиент (андроид приложение) в котором есть поле и кнопка отправить. Код для (кнопки отправить) @Override public void...

Что за ошибка в Android Studio? - Программирование Android
Как их исправить?

Ошибка Java в Android Studio - Программирование Android
Доброго времени суток! Вообще JVM позволяет запустить Android Studio буз проблем, но сама &quot;студия&quot; не хочет ничего компилировать. В...

Ошибка установки android sdk - Программирование Android
Уважаемые Гуру! Пытаюсь установить xamarin для программирования ios/adnroid. Получаю сообщение , что далее будет загружено и установлено...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
G_O_R
0 / 0 / 0
Регистрация: 02.02.2013
Сообщений: 22
09.12.2014, 16:57     Android-support-v7 ошибка #12
не знаю что как, но после обнови при создании проекта в эклипсе в дереве есть appcompat_v7, если создать новый проект пустую то в него эклипс ставит библиотеки, старые не обновяет. Я создал новый, из него скопировал и ставил (Ctrl +C и Ctrl +V) в свой проект. и все норм, правда и там в appcompat_v7 там тоже надо заменить их и v7 и v4 вроде. попробуйте каждый день проверять и обновлять эклипс и Android SDK/ у меня часто после выхода обнови не работают проекты, через несколько дней еще обнови выходят маленькие и проект работает норм.
Yandex
Объявления
09.12.2014, 16:57     Android-support-v7 ошибка
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru